---
title: "Icon Badge"
description: "Displays an icon badge"
component: true
---

<ComponentExample name="icon-badge-demo" />

## Usage

---

```tsx
import { IconBadge } from "@medusajs/ui"
import { BuildingTax } from "@medusajs/icons"
```

```tsx
<IconBadge>
  <BuildingTax />
</IconBadge>
```

## API Reference

---

<ComponentReference mainComponent="IconBadge" />

## Examples

---

### Grey

<ComponentExample name="icon-badge-grey" />

### Red

<ComponentExample name="icon-badge-red" />

### Green

<ComponentExample name="icon-badge-green" />

### Blue

<ComponentExample name="icon-badge-blue" />

### Orange

<ComponentExample name="icon-badge-orange" />

### Purple

<ComponentExample name="icon-badge-purple" />

### Base

<ComponentExample name="icon-badge-base" />

### Large

<ComponentExample name="icon-badge-large" />